# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class CombinationEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<CombinationEntry>
                  com.google.gdata.data.analytics.CombinationEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class CombinationEntry

extends BaseEntry<CombinationEntry>

Entry element for combination feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CombinationEntry()` Default mutable constructor.
`CombinationEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`GwoComboActive` `getComboActive()` Returns the flag indicating if the combination is active.
`GwoComboId` `getComboId()` Returns the combination ID.
`GwoComboString` `getComboString()` Returns the string that specifies a combination in an experiment.
`GwoExperimentId` `getExperimentId()` Returns the experiment ID.
`boolean` `hasComboActive()` Returns whether it has the flag indicating if the combination is active.
`boolean` `hasComboId()` Returns whether it has the combination ID.
`boolean` `hasComboString()` Returns whether it has the string that specifies a combination in an experiment.
`boolean` `hasExperimentId()` Returns whether it has the experiment ID.
`void` `setComboActive(GwoComboActive comboActive)` Sets the flag indicating if the combination is active.
`void` `setComboId(GwoComboId comboId)` Sets the combination ID.
`void` `setComboString(GwoComboString comboString)` Sets the string that specifies a combination in an experiment.
`void` `setExperimentId(GwoExperimentId experimentId)` Sets the experiment ID.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CombinationEntry

    public CombinationEntry()

  Default mutable constructor.

### CombinationEntry

    public CombinationEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getComboActive

    public GwoComboActive getComboActive()

  Returns the flag indicating if the combination is active.

  Returns:
    flag indicating if the combination is active

### setComboActive

    public void setComboActive(GwoComboActive comboActive)

  Sets the flag indicating if the combination is active.

  Parameters:
    `comboActive` - flag indicating if the combination is active or `null` to reset

### hasComboActive

    public boolean hasComboActive()

  Returns whether it has the flag indicating if the combination is active.

  Returns:
    whether it has the flag indicating if the combination is active

### getComboId

    public GwoComboId getComboId()

  Returns the combination ID.

  Returns:
    combination ID

### setComboId

    public void setComboId(GwoComboId comboId)

  Sets the combination ID.

  Parameters:
    `comboId` - combination ID or `null` to reset

### hasComboId

    public boolean hasComboId()

  Returns whether it has the combination ID.

  Returns:
    whether it has the combination ID

### getComboString

    public GwoComboString getComboString()

  Returns the string that specifies a combination in an experiment.

  Returns:
    string that specifies a combination in an experiment

### setComboString

    public void setComboString(GwoComboString comboString)

  Sets the string that specifies a combination in an experiment.

  Parameters:
    `comboString` - string that specifies a combination in an experiment or `null` to reset

### hasComboString

    public boolean hasComboString()

  Returns whether it has the string that specifies a combination in an experiment.

  Returns:
    whether it has the string that specifies a combination in an experiment

### getExperimentId

    public GwoExperimentId getExperimentId()

  Returns the experiment ID.

  Returns:
    experiment ID

### setExperimentId

    public void setExperimentId(GwoExperimentId experimentId)

  Sets the experiment ID.

  Parameters:
    `experimentId` - experiment ID or `null` to reset

### hasExperimentId

    public boolean hasExperimentId()

  Returns whether it has the experiment ID.

  Returns:
    whether it has the experiment ID

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`